Bug 1480655 - (dnf-modularity) no profile error
(dnf-modularity) no profile error
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Hatina
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks: dnf-modularity
  Show dependency treegraph
Reported: 2017-08-11 11:14 EDT by Irina Gulina
Modified: 2017-08-22 04:05 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-08-22 04:05:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Irina Gulina 2017-08-11 11:14:46 EDT
Description of problem:
If no profile is specified and if a module has a default profile, the default will be installed, otherwise the error is shown. 

Version-Release number of selected component (if applicable):
latest boltron compose 07-17

Actual results:

bash-4.4# dnf module install installer
>> Error: No such profile: default. Possible profiles: []
bash-4.4# dnf module install base-runtime
>> Error: No such profile: default. Possible profiles: ['buildroot', 'container', 'srpm-buildroot']

Those are not good examples, but I'm aware only of these modules with no default profile.

Also please see https://github.com/fedora-modularity/base-runtime/issues/3#issuecomment-317777577
Comment 1 Martin Hatina 2017-08-16 07:34:21 EDT
Right now low priority, will be improved in future.
Comment 2 Martin Hatina 2017-08-22 04:05:23 EDT
Fixed in https://copr.fedorainfracloud.org/coprs/mhatina/DNF-Modules

Note You need to log in before you can comment on or make changes to this bug.